# RandomIntArray - Rastgele Sayı Dizisi Uygulaması

Bu proje, belirli bir uzunluktaki rastgele sayılarla dolu bir dizi oluşturmayı, bu diziyi yazdırmayı, dizinin en küçük elemanını bulmayı ve dizinin ilk ve son elemanlarını yer değiştirmeyi amaçlayan basit bir Java uygulamasıdır.

## Özellikler
- Rastgele sayılarla dolu bir dizi oluşturur.
- Dizinin tüm elemanlarını ekrana yazdırır.
- Dizinin en küçük elemanını bulur.
- Dizinin ilk ve son elemanlarını yer değiştirir.

## Kullanım
Projeyi çalıştırmak için aşağıdaki adımları izleyebilirsiniz:

1. Proje dosyasını bilgisayarınıza indirin veya klonlayın.
2. `RandomIntArray.java` dosyasını bir Java geliştirme ortamında açın.
3. `main` fonksiyonunu çalıştırarak uygulamayı başlatın.

Örnek çıktı:

5 35 89 61 92 5 92 35


## Gereksinimler
- Java 8 veya üstü
- Herhangi bir Java geliştirme ortamı (IDE) veya terminal

## Lisans
Bu yazılım, GNU Genel Kamu Lisansı (GPL) sürüm 3 veya daha üstü altında lisanslanmıştır. Detaylar için lütfen `LICENSE` dosyasını inceleyin.

---

# RandomIntArray - Zufällige Zahlen-Array Anwendung

Dieses Projekt ist eine einfache Java-Anwendung, die ein Array mit zufälligen Zahlen einer bestimmten Länge erstellt, das Array ausgibt, das kleinste Element im Array findet und das erste und letzte Element des Arrays vertauscht.

## Eigenschaften
- Erstellt ein Array mit zufälligen Zahlen.
- Gibt alle Elemente des Arrays aus.
- Findet das kleinste Element im Array.
- Vertauscht das erste und das letzte Element des Arrays.

## Nutzung
Um das Projekt auszuführen, folgen Sie diesen Schritten:

1. Laden Sie die Projektdateien herunter oder klonen Sie das Repository.
2. Öffnen Sie die Datei `RandomIntArray.java` in einer Java-Entwicklungsumgebung.
3. Führen Sie die `main` Methode aus, um das Programm zu starten.

Beispielausgabe:

5 35 89 61 92 5 92 35


## Anforderungen
- Java 8 oder höher
- Jede Java-Entwicklungsumgebung (IDE) oder Terminal

## Lizenz
Diese Software ist unter der GNU General Public License (GPL) Version 3 oder höher lizenziert. Weitere Details finden Sie in der Datei `LICENSE`.
