/* 
/*
 * Bu dosya, GNU Genel Kamu Lisansı (GPL) sürüm 3 veya daha üstü altında lisanslanmıştır.
 * Detaylı bilgi için lütfen LICENSE.txt dosyasına bakınız.
 *
 * Bu program, faydalı olacağı umuduyla dağıtılmaktadır,
 * ancak HERHANGİ BİR GARANTİ VERİLMEMEKTEDİR;
 * hatta SATILABİLİRLİK veya BELİRLİ BİR AMACA UYGUNLUK garantisi bile verilmez.
 *
 * GNU Genel Kamu Lisansı'nın bir kopyasını LICENSE.txt dosyasında bulabilirsiniz.
 */

package random_methods;

public class RandomIntArray {

	public static void main(String[] args) {
		int arr[] = createRandom(5);
		System.out.println(toString(arr));
		System.out.println(posMin(arr));
		swap(arr);
		System.out.println(arr[0] + " " + arr[arr.length - 1]);


	}

	public static int[] createRandom(int n) {

		int arr[] = new int[n];
		for (int i = 0; i < arr.length; i++) {

			arr[i] = 5 + (int) (Math.random() * 95);

		}

		return arr;


	}

	public static String toString(int[] a) {
		String arr_String = new String();
		for (int i = 0; i < a.length; i++) {

			arr_String = arr_String + " " + a[i];

		}

		return arr_String;


	}

	public static int posMin(int[] a) {
		int min_verte = a[0];
		for (int i = 1; i < a.length; i++) {

			if (min_verte >= a[i]) {

				min_verte = a[i];

			}

		}

		return min_verte;


	}

	public static void swap(int[] a) {

		int erste_element = a[0];
		a[0] = a[a.length - 1];
		a[a.length - 1] = erste_element;


	}

}
